#include <Evas.h>
#include <Ecore.h>
#include <Ecore_Evas.h>

Evas        *evas = NULL;
Ecore_Evas  *ecore_evas = NULL;

Evas_Object *background = NULL;

static void
callback_delete_request(Ecore_Evas *ee)
{
  ecore_main_loop_quit();
}

static void
callback_resize(Ecore_Evas *ee)
{
  Evas_Coord w, h;
  
  evas_output_viewport_get(evas, NULL, NULL, &w, &h);
  evas_object_resize(background, w, h);
}

int
main(int argc, char **argv)
{
  Evas_Object *o;
  
  ecore_evas_init();
  ecore_evas = ecore_evas_software_x11_new(NULL, 0, 0, 0, 240, 240);
  ecore_evas_callback_delete_request_set(ecore_evas, callback_delete_request);
  ecore_evas_callback_resize_set(ecore_evas, callback_resize);
  ecore_evas_title_set(ecore_evas, "Tut 01");
  ecore_evas_name_class_set(ecore_evas, "main", "tut-01");
  evas = ecore_evas_get(ecore_evas);

  o = evas_object_rectangle_add(evas);
  evas_object_color_set(o, 255, 255, 255, 255);
  evas_object_move(o, 0, 0);
  evas_object_resize(o, 240, 240);
  evas_object_layer_set(o, -1000);
  evas_object_show(o);
  background = o;
  
  o = evas_object_rectangle_add(evas);
  evas_object_color_set(o, 255, 128, 0, 255);
  evas_object_move(o, 20, 20);
  evas_object_resize(o, 100, 100);
  evas_object_show(o);
  
  ecore_evas_show(ecore_evas);

  ecore_main_loop_begin();

  ecore_evas_shutdown();
  return 0;
}
